Bug 802467 - [eap6] implement adding connection factory
[eap6] implement adding connection factory
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-03-12 12:04 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:04:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-03-12 12:04:42 EDT
Description of problem: I am not able to finish wizard to create connection factory


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: fabfc31
EAP6 ER1

How reproducible:always


Steps to Reproduce:
1.have EAP6 standalone runnning with standalone-full.xml 
2.navigate to eap/messaging/default
3. Click Create child 'Connection-Factory'
  
Actual results: Wizard pops up, I can enter factory name, but I cannot hit 'Finish'


Expected results:Connection factory can be added


Additional info:
Comment 1 Mike Foley 2012-03-19 11:34:49 EDT
per BZ triage (crouch, loleary, mfoley)
Comment 2 Heiko W. Rupp 2012-03-19 12:26:25 EDT
master 63fd40b445
Comment 3 Libor Zoubek 2012-04-20 10:17:20 EDT
Adding a conn-factory is broken on Version: 4.4.0-SNAPSHOT Build Number: 4e2d986 + EAP6 ER5

No connector name given

connector name is required by JON UI, but when trying using EAP CLI it requires only at least one JNDI name and then it fails anyway .. with error 

{"JBAS014671: Failed services" => {"jboss.messaging.default.jms.connection-factory.xx" => "org.jboss.msc.service.StartException in service jboss.messaging.default.jms.connection-factory.xx: JBAS011639: Failed to create connection-factory"}}

so there are issues on both RHQ and EAP sides, but RHQ should be fixed not to require connector name and to force user specifying at least 1 JNDI name (if possible)
Comment 4 Heiko W. Rupp 2012-04-24 11:19:08 EDT
Another case of 'min' attribute not being honored by the configuration model

<c:list-property name="entries" required="true" readOnly="false" displayName="JNDI Names" min="1"

See Bug 815305
Comment 5 Heiko W. Rupp 2012-04-24 16:05:08 EDT
I've contacted Andy Taylor and Jeff Mesnil about the connector name.

Note that the cli has issues with passing it lists and maps , so that may not be the best source of information.


master 0ea5517 checks for at least one jndi name being present, as well as the connector name
(also the description very much sounds like the name is always needed).
Comment 6 Heiko W. Rupp 2012-04-25 03:24:13 EDT
Got feedback from Jeff - at least one connector-ref (name ) is needed here.
Comment 7 Heiko W. Rupp 2013-09-01 06:04:26 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.